Description

Supportanfrage

A few months ago I got the information that the binary built with ADTF 3.3.3 is compatible with every major 3 version:

"The ADTF versions are definetly binary and code compatible along the whole ADTF 3 major version."

Source: https://support.digitalwerk.net/issues/8232

So in theory the 3.3.3 filter should work just fine with 3.6.2. I already found out that the code compatibility is not true at all. The binary

seems to work and in theory it should.

Since we would like to move to 3.6.2 I checked the system requirements and I found the following:

"Anyway, loading older adtfplugins build with the former toolchain is not supported !"

Source: https://support.digitalwerk.net/adtf/v3/adtf_html/page_system_requirements.html

Which one is the truth?

Lösung

This is a very combined "problem".

Yes we are binary and code compatible in a major version on each platform.

But you are comparing ADTF 3.3.3 (Windows 7, VS 2015, VC140) with ADTF 3.6.2 (Windows 10, VS 2017, VC141), this means

different platforms !

Imho it will run because it should on Windows but we cannot guarantee it because its a Microsoft thing and not a ADTF restriction.

As well as an own plugin maybe uses 3rd party stuff which differs on these platforms.

So we cannot recommend that each older part will work.

They change and support for Windows 10 was mandatory, as well the compiler change regarding Qt/chromium issues, and

requested by customer forum.

Sum up:

ADTF 3.6 binary compatible with ADTF 3.3

Windows 10 binary compatible with Windows 7

Qt 5.12 binary compatible 5.9

VS2017/VC141 ABI compatible with VS2015/VC140 (Update3)

Missing different platforms may work but is not recommended and can not be fully guaranteed, only for our delivered components

and API/Runtime.

But this does not break thje binary compatible requirements.

History

#1 - 2020-01-15 17:59 - hidden

- Project changed from Public Support to 5

- Status changed from New to In Progress

- Topic set to ADTF::Common

#2 - 2020-01-16 08:29 - hidden

Hi Gergely Jozsef Bado,
https://support.digitalwerk.net/issues/8232
https://support.digitalwerk.net/adtf/v3/adtf_html/page_system_requirements.html


I already found out that the code compatibility is not true at all.

 That's kind of a harsh statement. Which problems did you encounter, when recompiling older code with ADTF 3.6? We try really hard to keep

everything compatible while extending the functionalities, so please give us some feedback if something is not working the way it should.

@Flo, could you please elaborate on the Windows Platform change?

Regards,

Martin

#3 - 2020-01-16 08:47 - hidden

- Status changed from In Progress to Customer Feedback Required

Hi Gergely,

In addition to Martins respone (#9853#note-2):

This is a very combined "problem".

Yes we are binary and code compatible in a major version on each platform.

But you are comparing ADTF 3.3.3 (Windows 7, VS 2015, VC140) with ADTF 3.6.2 (Windows 10, VS 2017, VC141), this means different platforms !

Imho it will run because it should on Windows but we cannot guarantee it because its a Microsoft thing and not a ADTF restriction.

As well as an own plugin maybe uses 3rd party stuff which differs on these platforms.

So we cannot recommend that each older part will work.

They change and support for Windows 10 was mandatory, as well the compiler change regarding Qt/chromium issues, and requested by customer

forum.

Sum up:

ADTF 3.6 binary compatible with ADTF 3.3

Windows 10 binary compatible with Windows 7

Qt 5.12 binary compatible 5.9

VS2017/VC141 ABI compatible with VS2015/VC140 (Update3)

Missing different platforms may work but is not recommended and can not be fully guaranteed, only for our delivered components and API/Runtime.

But this does not break thje binary compatible requirements.

#4 - 2020-01-16 14:55 - hidden

Then if I understood it correctly, the quoted sentence from the requirement page applies to the windows and not for the ADTF version. (Correct me if

I'm wrong)

The ADTF binary is compatible; every VC14x should be compatible with every VC14x as far as I know.

I also tried out a few of our previously built filters and it's seems to be working, but the confirmation is the best.

Excuse me for the harsh statement about the code compatibility but there are some changes. Maybe minor ones, we did not had the time yet to

investigate deeper. I already mentioned a few in the previous ticket.

The new 3.6.2 already looks much better in every possible way. I hope moving to this version will be smooth as well.

Thank you for clearing things up.

Best regards,

Gergely Jozsef Bado

CM-CI2/ESW3-Bp

#5 - 2020-01-16 15:12 - hidden

- Project changed from 5 to Public Support

- Description updated

- Private changed from Yes to No

- Resolution set to Solved Issue

Completely right.

If there are any upcoming issues let us know.

If you handle the jump greater than ADTF 3.5 and using its new convinience Filter SDK (especially using cFilter from flash namespace) with snippets

and better documentation, you will love it.

Then you can easy use ADTF 3.6 or upcoming 3.7 for several usability improvements.

Also have a look at our guides, product information and the brand new keytopics.

#6 - 2020-01-16 15:18 - hidden

- Status changed from Customer Feedback Required to To Be Closed
https://support.digitalwerk.net/issues/9853#note-2
https://support.digitalwerk.net/adtf/v3/adtf_html/mainpage_filtersdk_pkg.html
https://support.digitalwerk.net/adtf/v3/adtf_html/classadtf_1_1filter_1_1flash_1_1c_filter.html
https://support.digitalwerk.net/adtf/v3/guides/index.html
https://support.digitalwerk.net/adtf/v3/adtf_html/page_product_information.html
https://support.digitalwerk.net/adtf/v3/keytopics/index.html


#8 - 2020-07-07 12:49 - hidden

- Status changed from To Be Closed to Closed
